<form>
    <div class="form-group">
      <label for="nome">Nome</label>
      <input type="text" class="form-control" id="nome" placeholder="João da Silva" [(ngModel)] = "contato.nome" name="nome"/>
    </div>
    <div class="form-group">
      <label for="telefone">Telefone</label>
      <input type="text" class="form-control" id="nome" placeholder="62 98781-2323" [(ngModel)] = "contato.telefone" name="telefone"/>
    </div>

    <div class="form-group">
        <button type="button" (click) = "addContato()" class="btn btn-primary">Salvar</button>
    </div>

    <table class="table">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Noe</th>
            <th scope="col">Telefone</th>
            <th>.</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let c of contatos">
            <th scope="row">{{c.id}}</th>
            <td>{{c.nome}}</td>
            <td>{{c.telefone}}</td>
            <td><button type="button" (click) = "selecionarContato(c)" class="btn btn-primary">Selecionar</button></td>
            <td><button type="button" (click) = "delete(c.id)" class="btn btn-danger">Excluir</button></td>
          </tr>
        </tbody>
      </table>    

  </form>